FW: errors while building glibc-2.7 --> solved

Nix nix@esperi.org.uk
Sat Aug 2 10:50:00 GMT 2008


On 1 Aug 2008, Oussama Chammam outgrape:

>
>
> Helo!
> not either -march works for me:
> $ ../glibc-2.7/configure --prefix=/usr --enable-add-ons --without-selinux --without-gd --disable-profile --enable-kernel=linux-2.6.26 --with-headers=/media/sda1/usr/src/linux-2.6.26/include -march=opteron
> configure: error: unrecognized option: -march=opteron
> Try `../glibc-2.7/configure --help' for more information.

It's not a configure option, it's a compiler option that you can put in
CFLAGS, e.g.

../glibc-2.7/configure --prefix=/usr --enable-add-ons --without-selinux --without-gd --disable-profile --enable-kernel=linux-2.6.26 --with-headers=/media/sda1/usr/src/linux-2.6.26/include CFLAGS="-O2 -march=opteron"



More information about the Libc-help mailing list